import gtk
import gtk.glade

from assistant import PyAtCronAssistant

class PyAtCronMainwin:
	def __init__ (self):
		self.assistant = None

		self.widgetTree = gtk.glade.XML ("mainwin.glade", "mainwin")
		dic = {
						"on_mainwin_delete_event" : self.deleteEvent,
						"on_mainwin_destroy_event" : self.destroyEvent,
						"on_mainmenu_save_activate" : self.saveActivate,
						"on_mainmenu_quit_activate" : self.quitActivate,
						"on_mainmenu_new_activate" : self.newActivate,
						"on_mainmenu_properties_activate" : self.propertiesActivate,
						"on_mainmenu_delete_activate" : self.deleteActivate,
						"on_mainmenu_about_activate" : self.aboutActivate,
						"on_toolbar_new_clicked" : self.newClicked,
						"on_toolbar_properties_clicked" : self.propertiesClicked,
						"on_toolbar_delete_clicked" : self.deleteClicked
					}
		self.widgetTree.signal_autoconnect (dic)
		self.win = self.widgetTree.get_widget ("mainwin")

	def deleteEvent (self, event, obj):
		self.quit ()

	def destroyEvent (self, event, obj):
		self.quit ()

	def saveActivate (self, obj):
		self.save ()

	def quitActivate (self, obj):
		self.quit ()

	def newActivate (self, obj):
		self.createTask ()

	def propertiesActivate (self, obj):
		self.editTask ()

	def deleteActivate (self, obj):
		self.deleteTask ()

	def aboutActivate (self, obj):
		self.about ()

	def newClicked (self, obj):
		self.createTask ()

	def propertiesClicked (self, obj):
		self.editTask ()

	def deleteClicked (self, obj):
		self.deleteTask ()

	def save (self):
		print "TODO: save"

	def quit (self):
		self.save ()
		gtk.main_quit ()

	def createTask (self):
		self.assistant = PyAtCronAssistant (self.win)

	def editTask (self):
		print "TODO: editTask"

	def deleteTask (self):
		print "TODO: deleteTask"

	def about (self):
		print "TODO: about"
